using SqlSugar;
using System.Data;
using Txgy.RBS.DbModel;
using Txgy.RBS.IDAL;

namespace Txgy.RBS.DAL
{
    //sqlite数据库操作
    public class DataAccessDal : BaseService, IDataAccessDal
    {

        public DataAccessDal( ISqlSugarClient sqlSugarClient) : base(sqlSugarClient)
        {
           
        }

        public List<string> GetIcons()
        {
           var data=  _Client.Queryable<Result>().ToList();
            return null;
        }


        public Setting GetClientType(int userId = 1)
        {
            return new Setting();
        }
        public void UpdateClientDetail(double createTime, int mailRule, string mailbox, string appMessage)
        {

        }

        public string GetDevices(int roadId)
        {
            return string.Empty;
        }

        public void UpdateDeviceType(int currentDevice)
        {
           
        }
    }
}
